package org.apache.ojb.broker;

/* Copyright 2002-2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Base class of all exceptions used in OJB.
 *
 * @author <a href="mailto:mattbaird@yahoo.com">Matthew Baird<a>
 * @version $Id: KeyConstraintViolatedException.java,v 1.5 2004/04/04 23:53:30 brianm Exp $
 */

public class KeyConstraintViolatedException
        extends PersistenceBrokerException
{
    /**
     * Constructor for KeyConstraintViolatedException.
     */
    public KeyConstraintViolatedException()
    {
        super();
    }

    /**
     * Constructor for KeyConstraintViolatedException.
     * @param message
     */
    public KeyConstraintViolatedException(String message)
    {
        super(message);
    }

    /**
     * Constructor for KeyConstraintViolatedException.
     * @param message
     * @param cause
     */
    public KeyConstraintViolatedException(String message, Throwable cause)
    {
        super(message, cause);
    }

    /**
     * Constructor for KeyConstraintViolatedException.
     * @param cause
     */
    public KeyConstraintViolatedException(Throwable cause)
    {
        super(cause);
    }
}
